Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.gems.monitors
Class DotDependencyGraphComponentMonitor

    java.lang.Object
      org.picocontainer.monitors.AbstractComponentMonitor
          org.picocontainer.gems.monitors.DotDependencyGraphComponentMonitor

All Implemented Interfaces:
  Serializable, org.picocontainer.ComponentMonitor, org.picocontainer.ComponentMonitorStrategy

    public final class DotDependencyGraphComponentMonitor

extends org.picocontainer.monitors.AbstractComponentMonitor
implements org.picocontainer.ComponentMonitor

See Also:
  Serialized Form

Constructor Summary
`DotDependencyGraphComponentMonitor()`
`DotDependencyGraphComponentMonitor(org.picocontainer.ComponentMonitor delegate)`

Method Summary
`String` | `getClassDependencyGraph()`
`String` | `getInterfaceDependencyGraph()`
`
`<T> void`
` | `instantiated(org.picocontainer.PicoContainer container, org.picocontainer.ComponentAdapter<T> componentAdapter, Constructor<T> constructor, Object instantiated, Object[] injected, long duration)`

Methods inherited from class org.picocontainer.monitors.AbstractComponentMonitor
`changeMonitor, currentMonitor, instantiating, instantiationFailed, invocationFailed, invoked, invoking, lifecycleInvocationFailed, newBehavior, newInjector, noComponentFound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.picocontainer.ComponentMonitor
`instantiating, instantiationFailed, invocationFailed, invoked, invoking, lifecycleInvocationFailed, newBehavior, newInjector, noComponentFound`

Constructor Detail

### DotDependencyGraphComponentMonitor

    public DotDependencyGraphComponentMonitor(org.picocontainer.ComponentMonitor delegate)

### DotDependencyGraphComponentMonitor

    public DotDependencyGraphComponentMonitor()

Method Detail

### instantiated

    public <T> void instantiated(org.picocontainer.PicoContainer container,
                                 org.picocontainer.ComponentAdapter<T> componentAdapter,
                                 Constructor<T> constructor,
                                 Object instantiated,
                                 Object[] injected,
                                 long duration)

  Specified by:
    `instantiated` in interface `org.picocontainer.ComponentMonitor`
  Overrides:
    `instantiated` in class `org.picocontainer.monitors.AbstractComponentMonitor`

### getClassDependencyGraph

    public String getClassDependencyGraph()

### getInterfaceDependencyGraph

    public String getInterfaceDependencyGraph()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.